# Configuration parameters for the Hobby 20x12 5th gen

commandsPerSec = 2000.      # this isn't  included on the regular config file of RE
VectorMaxVelocity = [1000., 1000., 1000., 1000., 1000., 1000.]
VectorAcceleration = [100000., 25000., 20000.]
EngraveMaxVelocity = [800., 800., 2048.]
EngraveAcceleration = [200000., 50000., 600000.]
JogMaxVelocity = [16., 16., 2048.]
JogAcceleration = [200000., 50000., 600000.]

RotaryVectorMaxVelocity = [1000., 500., 1000., 1000., 1000., 1000.]
RotaryVectorAcceleration = [100000., 5000., 20000., 20000., 20000., 20000.]
RotaryEngraveMaxVelocity = [800., 80., 2048.]
RotaryEngraveAcceleration = [200000., 5000., 600000.]
RotaryJogMaxVelocity = [16., 8., 2048.]
RotaryJogAcceleration = [200000., 25000., 600000.]

FlipAxes = [0, 0, 0, 0, 0, 0]
FlipLaserOutput = 0
FlipLaserPWMPower = 1
LaserPowerMax = 180.
HomeDirection = 1
FlipHomeDirection = [1, 0, 0]
LimitContCondition = [0, 0, 0, 0, 0, 0]
MaxSteps = [250, 500, 500, 1000, 1000, 1000]
TableSize = [20000, 12000, 30000, 1000, 1000, 1000]

RapidVectorMoveTopSpeed = [12645., 6322.]
StepsPerInch = [1000.0, 1000.0]
RapidVectorMoveAcc = [100000., 25000., 600000.]
RotaryCheck = False

byte0 = 0
if FlipAxes[0] == 1:

    byte0 = int(byte0 | 1)

if FlipAxes[1] == 1:

    byte0 = int(byte0 | 2)

if FlipAxes[2] == 1:

    byte0 = int(byte0 | 4)
