import java.io.*;
import java.net.*;
import java.util.Scanner;

//Client that sends commands to a open server at same IP in order to send a directive to laser cutter
class MyClient
{
	public static void main(String argv[])
	{
	String sentence;
	String modifiedSentence;
	String host = "localhost";
	int numero, n=0;
	String cadena = ""; 


	try
	{
	Socket clientSocket = new Socket(host, 2004);
	
	Scanner reader = new Scanner(System.in);
	PrintWriter outToServer = new PrintWriter(clientSocket.getOutputStream(), true);
	BufferedReader inFromUser = new BufferedReader( new InputStreamReader(System.in));
	BufferedReader inFromServer = new BufferedReader(new InputStreamReader(clientSocket.getInputStream()));


		while (true){

			sentence = inFromUser.readLine();


			if (sentence.equals("{\"cmd\":\"connect_to_laser\"}")){ //begin connection
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				continue;
			}
			else if (sentence.equals("{\"cmd\":\"run_perimeter\"}")){ //run perimeter				
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				
				while (true){
					System.out.println("Introduzca x: ");
					sentence = reader.next();
					float intInputValue;		
					try{ 
						intInputValue = Float.parseFloat(sentence);
						System.out.println("Éxito!");
						break;
					}
					catch(NumberFormatException ne){
						System.out.println("La entrada no es un número, continue");
					}
				}		
				
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);

				while (true){
					System.out.println("Introduzca y: ");
					sentence = reader.next();
					float intInputValue;		
					try{ 
						intInputValue = Float.parseFloat(sentence);
						System.out.println("Éxito!");
						break;
					}
					catch(NumberFormatException ne){
						System.out.println("La entrada no es un número, continue");
					}
				}		
				
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);

				continue;
			}
			else if (sentence.equals("{\"cmd\":\"quit\"}")){//end connection
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				break;
			}
			else if (sentence.equals("{\"cmd\":\"run_job\"}")){ //run job				
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				sentence ="/home/hgeihsen/local/src/git_repo/iris_server/iris/extraction_utils/mario.nc";
				outToServer.println(sentence);
				
				continue;
			}
			else if (sentence.equals("{\"cmd\":\"cancel_job\"}")){ //cancel job
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				continue;
			}
			else if (sentence.equals("{\"cmd\":\"pause_job\"}")){//pause job
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				continue;
			}
			else if (sentence.equals("{\"cmd\":\"resume_job\"}")){//resume job
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				continue;
			}
			else if (sentence.equals("{\"cmd\":\"moveto\"}")){//moveto
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);

				while (true){
					System.out.println("Introduzca x: ");
					sentence = reader.next();
					float intInputValue;		
					try{ 
						intInputValue = Float.parseFloat(sentence);
						System.out.println("Éxito!");
						break;
					}
					catch(NumberFormatException ne){
						System.out.println("La entrada no es un número, continue");
					}
				}		
				
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);

				while (true){
					System.out.println("Introduzca y: ");
					sentence = reader.next();
					float intInputValue;		
					try{ 
						intInputValue = Float.parseFloat(sentence);
						System.out.println("Éxito!");
						break;
					}
					catch(NumberFormatException ne){
						System.out.println("La entrada no es un número, continue");
					}
				}		
				
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);

				continue;
			}
			else{
				outToServer.println(sentence);
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				String y="con", x="tigo";
				String lala = "Soy feliz "+y+x;
				sentence = lala;
				outToServer.println(sentence+"\n");
				modifiedSentence = inFromServer.readLine();
				System.out.println("FROM SERVER: " + modifiedSentence);
				continue;
			}

		}
	inFromServer.close();
	inFromUser.close();
	outToServer.close();
	clientSocket.close();
	}catch(Exception e){
        e.printStackTrace();}


	}
}
